makewhatis(1)

NAME
makewhatis - builds the whatis manual database

SYNOPSIS
makewhatis [-h] [-v] [-u] [-w] [manpath]

DESCRIPTION
Makewhatis builds and updates the whatis databases used by apropos(1). It requires Perl(1) version 4 or higher to run.

OPTIONS
Makewhatis accepts the following options:

-g  Use a global whatis file (/usr/lib/whatis) instead of one whatis file per man directory.

-h  Print a brief help message and exit.

-u  Update the database with newer manual pages only. The default is to completely rebuild the database.

-v  Verbose operation.

-w  Use `man -w` to obtain the manpath. This may be used in addition to a user-specified manpath.

-c  This option is silently ignored on purpose.

manpath
    A colon-seperated list of directories to process, such as "/usr/man:/usr/local/man". More than one manpath may be specified, but if none is specified, and the -w switch is not set, then the contents of the $MANPATH environment variable will be used.

ENVIRONMENT

MANPATH
    Default path of directories to process.

LANG
    The value with which %L will be replaced, should it appear at any point in the $MANPATH. If it is unset, the default value of C will be used.

SEE ALSO
apropos(1),man(1),zcat(1)

BUGS
Not all possible nroff commands are detected and filtered out of source man pages; more will be added as they are needed.

The processing for "pre-processed" man pages is also probably incomplete; this too will be modified as necessary.

Although duplicate entries are filtered out of the path, there is currently no check for links pointing to the same directories, which means a directory may be processed more than once if it has a link to it in the man path.

Any manpath specified may not start with a dash character.

Language support is somewhat limited, but its there. If there's a suitable definition available, something much more intuitive could be done.

COPYRIGHT
Copyright © 1995,1996 by Steve "Mr. Bassman" Bryant

Permission is hereby given to redistribute this program and accompanying manual page at no cost to the recipient (media fee notwithstanding), providing it is distributed in its entirety. It may not be modified or be included in any commercial product without the author's permission.

WARNING
This software is provided "as-is", with no warranty whatsoever. Use it entirely at your own risk. Neither the author nor the supplier of this software may be held responsible for any damage caused due to the use or misuse of this software.

AUTHOR
This version was written in Perl from scratch by Steve "Mr. Bassman" Bryant <bassman@bork.bb.bawue.de>